summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-01 19:15:53 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-01 19:15:53 +0000
commit3b74b7fe6ee0c841ef3aab8832e2079b95396f61 (patch)
tree584599768310b2ff426aba9bf646b40185566e84 /dev-python
parent4e89829c1e70990fc8fdac64cf31a764ffe419ca (diff)
downloadbaldeagleos-repo-3b74b7fe6ee0c841ef3aab8832e2079b95396f61.tar.gz
baldeagleos-repo-3b74b7fe6ee0c841ef3aab8832e2079b95396f61.tar.xz
baldeagleos-repo-3b74b7fe6ee0c841ef3aab8832e2079b95396f61.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cairocffi/cairocffi-1.7.1-r1.ebuild2
-rw-r--r--dev-python/cython/Manifest1
-rw-r--r--dev-python/cython/cython-3.1.6.ebuild2
-rw-r--r--dev-python/cython/cython-3.2.2.ebuild129
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/numexpr/numexpr-2.14.1.ebuild2
-rw-r--r--dev-python/os-service-types/os-service-types-1.8.1.ebuild2
-rw-r--r--dev-python/owslib/owslib-0.35.0.ebuild2
-rw-r--r--dev-python/pypugjs/pypugjs-6.0.1.ebuild2
-rw-r--r--dev-python/pyspelling/pyspelling-2.12.ebuild2
-rw-r--r--dev-python/redis/redis-7.0.1.ebuild2
-rw-r--r--dev-python/zope-hookable/zope-hookable-8.1.ebuild2
-rw-r--r--dev-python/zope-i18nmessageid/zope-i18nmessageid-8.1.ebuild2
16 files changed, 160 insertions, 19 deletions
diff --git a/dev-python/cairocffi/cairocffi-1.7.1-r1.ebuild b/dev-python/cairocffi/cairocffi-1.7.1-r1.ebuild
index 6cc391b6066a..d47fa9a010a9 100644
--- a/dev-python/cairocffi/cairocffi-1.7.1-r1.ebuild
+++ b/dev-python/cairocffi/cairocffi-1.7.1-r1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
DEPEND="
>=dev-python/xcffib-0.3.2[${PYTHON_USEDEP}]
diff --git a/dev-python/cython/Manifest b/dev-python/cython/Manifest
index d14b279b9a85..b3359e929475 100644
--- a/dev-python/cython/Manifest
+++ b/dev-python/cython/Manifest
@@ -4,3 +4,4 @@ DIST cython-3.1.6.tar.gz 3192329 BLAKE2B 78ea2c33ce38441574c0566b2c093ed91c01b52
DIST cython-3.1.7.tar.gz 3192740 BLAKE2B ed0d15e387389de3e2b35d03326032a0ca112b24b0245ed764e5acbedcc0df07f50561ef18715679bf29fd2da6a288621033722741b2fc25809b43964e856786 SHA512 0d1ab6b0d53168588ea03116a5a2f4106f87266bca0fc46ec9ebc7c881da7ee2a83d9d7d841b551add73aedab7b2ca94419e87f6a387b1ab7ba850030a981fb1
DIST cython-3.2.0.tar.gz 3267264 BLAKE2B 86aa3698f28c0859d0a846025698d4739deebdbabbf0f6bd9134b4a01fce3fce4b87b1db726c2ab490b0a41091185183f41a67424dfd555067167a4b257c6aa7 SHA512 902f8389792bfa7937f5e1c024a537561e7e0367d1e6e6eefa84ebc25e961968e95bda5095b1cf2b26e994b4b14c0a039b97df80066620c166368a3f0ebd7f4b
DIST cython-3.2.1.tar.gz 3270455 BLAKE2B 10eb8e6e027b3cc594c997efed4e98ded445f666c44ff7d9d027ae32bead6826df22508bbc78241684e7dcdcbe178a70b5d909c5ab541b5c49660f961f2abe26 SHA512 b6f64b2c32c355a9c5a3586fdea768ad1924cb4b421d4395d443dadc1cf06e2fe4f3f85d237789eb0a68c9857750cbefefb022475ed7f3d8787551bea3d2fb7d
+DIST cython-3.2.2.tar.gz 3275797 BLAKE2B bd6b699514b099ec680d49c00f547357c76621e08e8607c24fcb98d975cd03b3d3fc9161d66775f5d02c3281c7e01e1a80d61bc56e49f9f04c52927e51a83c7f SHA512 788c05b4e2dcc5ae3f6ecfbb6a5e4bfa5c19afdfe3047ed5a34be994c7d81f165b4ee0a162c349ab2ff0912380fc2836e98e442d93ac6522f75e63a5c3522d27
diff --git a/dev-python/cython/cython-3.1.6.ebuild b/dev-python/cython/cython-3.1.6.ebuild
index 4b6e1d8c4744..2869e9fb5fc0 100644
--- a/dev-python/cython/cython-3.1.6.ebuild
+++ b/dev-python/cython/cython-3.1.6.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="test test-full"
RESTRICT="!test? ( test )"
diff --git a/dev-python/cython/cython-3.2.2.ebuild b/dev-python/cython/cython-3.2.2.ebuild
new file mode 100644
index 000000000000..71a878e3883a
--- /dev/null
+++ b/dev-python/cython/cython-3.2.2.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_FULLY_TESTED=( python3_{11..14} )
+PYTHON_TESTED=( "${PYTHON_FULLY_TESTED[@]}" pypy3_11 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 multiprocessing pypi toolchain-funcs
+
+DESCRIPTION="A Python to C compiler"
+HOMEPAGE="
+ https://cython.org/
+ https://github.com/cython/cython/
+ https://pypi.org/project/Cython/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test test-full"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ test-full? (
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' "${PYTHON_FULLY_TESTED[@]}")
+ )
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.29.23-pythran-parallel-install.patch"
+)
+
+distutils_enable_sphinx docs \
+ dev-python/jinja2 \
+ dev-python/sphinx-issues \
+ dev-python/sphinx-tabs
+
+python_compile() {
+ # Python gets confused when it is in sys.path before build.
+ local -x PYTHONPATH=
+
+ if use elibc_musl ; then
+ # Workaround for bug #925318
+ local -x LDFLAGS="${LDFLAGS} -Wl,-z,stack-size=2097152"
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ # PYTHON_TESTED controls whether we expect the testsuite to
+ # pass at all, while PYTHON_FULLY_TESTED allows skipping before
+ # numpy is ported (and possibly other deps in future).
+ if ! has "${EPYTHON/./_}" "${PYTHON_TESTED[@]}"; then
+ einfo "Skipping tests on ${EPYTHON} (xfail)"
+ return
+ fi
+
+ # Needed to avoid confusing cache tests
+ unset CYTHON_FORCE_REGEN
+
+ tc-export CC
+
+ local testargs=(
+ -vv
+ -j "$(makeopts_jobs)"
+ --work-dir "${BUILD_DIR}"/tests
+
+ --no-examples
+ --no-code-style
+
+ # Fails to find embedded.c
+ --exclude 'embedded'
+ # coverage_installed_pkg needs dev-python/pip and doesn't like
+ # 'externally-managed' (bug #927995), but we don't really
+ # want automagic test dependencies at all, so just skip
+ # unimportant-for-us coverage tests entirely.
+ --exclude 'run.coverage*'
+ --exclude 'Cython.Coverage'
+ # Automagic on dev-python/python-tests, could add this in future
+ --exclude 'run.test_exceptions'
+ # TODO: Unpackaged dev-python/interpreters-pep-734 (interpreters_backport)
+ # This only shows up as a failure with >=3.13.
+ --exclude 'subinterpreters_threading_stress_test'
+
+ # The fix for https://github.com/cython/cython/issues/6938
+ # changes these tests s.t. they break with our build layout.
+ --exclude 'build.depfile*'
+ )
+
+ if [[ ${EPYTHON} == pypy3* ]] ; then
+ testargs+=(
+ # Recursion issue
+ --exclude 'run.if_else_expr'
+ --exclude 'run.test_patma*'
+ # Slight output difference (missing '<')
+ --exclude 'run.cpp_exception_ptr_just_handler'
+ # No freethreading here
+ --exclude 'run.freethreaded_list_indexing_stress_test'
+ )
+ fi
+
+ # Keep test-full for numpy as it's large and doesn't pass tests itself
+ # on niche arches.
+ if ! use test-full || ! has "${EPYTHON/./_}" "${PYTHON_FULLY_TESTED[@]}"; then
+ testargs+=(
+ --exclude 'run.numpy*'
+ --exclude 'run.ufunc'
+ --exclude 'numpy*'
+ )
+ fi
+
+ "${PYTHON}" runtests.py "${testargs[@]}" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( CHANGES.rst README.rst ToDo.txt USAGE.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index d12ab8aeaca8..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 271137de443d..7100f5f39dd8 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..c0f74ac187e2 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>pastalian46@gmail.com</email>
+ <name>Takuya Wakazono</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/numexpr/numexpr-2.14.1.ebuild b/dev-python/numexpr/numexpr-2.14.1.ebuild
index e8768076657a..57ab6dfe1828 100644
--- a/dev-python/numexpr/numexpr-2.14.1.ebuild
+++ b/dev-python/numexpr/numexpr-2.14.1.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
DEPEND="
>=dev-python/numpy-2.0.0:=[${PYTHON_USEDEP}]
diff --git a/dev-python/os-service-types/os-service-types-1.8.1.ebuild b/dev-python/os-service-types/os-service-types-1.8.1.ebuild
index 6b7bce17146d..2449b45954d3 100644
--- a/dev-python/os-service-types/os-service-types-1.8.1.ebuild
+++ b/dev-python/os-service-types/os-service-types-1.8.1.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~riscv x86"
RDEPEND="
>=dev-python/pbr-6.1.1[${PYTHON_USEDEP}]
diff --git a/dev-python/owslib/owslib-0.35.0.ebuild b/dev-python/owslib/owslib-0.35.0.ebuild
index de836d46e6ed..44e773f7e687 100644
--- a/dev-python/owslib/owslib-0.35.0.ebuild
+++ b/dev-python/owslib/owslib-0.35.0.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
RDEPEND="
dev-python/lxml[${PYTHON_USEDEP}]
diff --git a/dev-python/pypugjs/pypugjs-6.0.1.ebuild b/dev-python/pypugjs/pypugjs-6.0.1.ebuild
index 21c8a8f9365f..db6478fc171a 100644
--- a/dev-python/pypugjs/pypugjs-6.0.1.ebuild
+++ b/dev-python/pypugjs/pypugjs-6.0.1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv"
+KEYWORDS="amd64 ~arm64 ~riscv"
RDEPEND="
>=dev-python/six-1.17.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pyspelling/pyspelling-2.12.ebuild b/dev-python/pyspelling/pyspelling-2.12.ebuild
index 7765ee9e3269..4b34ecdb1463 100644
--- a/dev-python/pyspelling/pyspelling-2.12.ebuild
+++ b/dev-python/pyspelling/pyspelling-2.12.ebuild
@@ -27,7 +27,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 ~riscv x86"
RDEPEND="
|| ( app-text/aspell app-text/hunspell )
diff --git a/dev-python/redis/redis-7.0.1.ebuild b/dev-python/redis/redis-7.0.1.ebuild
index ec83518e5181..32801065db42 100644
--- a/dev-python/redis/redis-7.0.1.ebuild
+++ b/dev-python/redis/redis-7.0.1.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ppc ppc64 ~riscv ~sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/zope-hookable/zope-hookable-8.1.ebuild b/dev-python/zope-hookable/zope-hookable-8.1.ebuild
index 78ec41fd9e52..eabccbbb9a88 100644
--- a/dev-python/zope-hookable/zope-hookable-8.1.ebuild
+++ b/dev-python/zope-hookable/zope-hookable-8.1.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/zope-i18nmessageid/zope-i18nmessageid-8.1.ebuild b/dev-python/zope-i18nmessageid/zope-i18nmessageid-8.1.ebuild
index 7608c2d5aeb5..cd7ab895d434 100644
--- a/dev-python/zope-i18nmessageid/zope-i18nmessageid-8.1.ebuild
+++ b/dev-python/zope-i18nmessageid/zope-i18nmessageid-8.1.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
distutils_enable_tests unittest